安裝Joomla!時出現的錯誤(已解決)



  • 因為是新手接觸,以前曾為接觸過CMS,前幾天再安裝的時候,
    我是先看"Joomla! 1.5架站123圖解入門很簡單"作為安裝,
    雖然看的是"Joomla! 1.5"安裝方法用的是"appserv",不過我安裝"2.5.x"系列沒有問題。

    後來我在網路上看到其他人的教學他們是使用"xampp",
    我想說買書來看跟著最新的方式使用,
    可是卻一直安裝不起來,不管是2.5.X 還是3.2.X 都是安裝不起來。

    在2.5.X是說一直找不到資料庫,可是在3.2.X他會跳入正在安裝的畫面,
    到最後一步驟時安裝到一半他又會跳到安裝畫面的第三步驟。

    想請問一下這樣的話,問題是出在哪一邊?



  • AppServ 已經很久沒更新,建議不要再使用。Joomla! 2.5 雖可以在 AppServ 環境運作,
    不過大部分擴充套件已經以 PHP 5.3 改寫,運作上可能有問題。
    使用 XAMPP 之前記得將 AppServ 移除並重開機,避免通訊埠衝突。



  • 我在安裝的時候,有把appserv移除,
    但是在Xampp使用時會一直出現無法連結 MySQL請問這該怎麼解決 :( ?



  • 看一下工作管理員程式的運作程式清單中有無 mysqld,有的話先移除。也記得上網搜尋一下相關文章。



  • 感謝您回應!!!

    如果我要從新安裝為XAMPP,那該如何移過去呢?
    是將資料夾整個複製貼上嗎?
    還是要重新安裝設定?



  • 如果網站剛建置不久,建議在 XAMPP 環境做新安裝會比較快。
    移除 AppServ 的時候不會移除網站資料,你可回到原安裝資料夾找找。



  • 我已從新在XAMPP的環境上安裝完成了,
    前幾次不能順利完成可能是因為跟APPSERV有關係吧

    這一次我把它全部移除,再重新開機,在安裝XAMPP
    結果沒有出現任何問題。

    謝謝您的解惑!!!


登入以回覆

看起來你的連線到 Joomla!台灣討論區 已經遺失,請稍等一下我們嘗試重新連線。